oracle.xml.xquery

## Interface OXQFunctionMetaData

    public interface OXQFunctionMetaData

Function metadata used when `resolving` an external function. This is made available to the `entity resolver` as a locator extension (see `OXQEntityLocator.getExtension()`) when the entity kind is `EXTERNAL_FUNCTION`. `External function` implementations may also access the function metadata using method `OXQFunctionContext.getMetaData()`.

Since:
  12.1
See Also:
  `OXQEntityLocator.getExtension()`, `OXQEntityKind.EXTERNAL_FUNCTION`

### Method Summary

All Methods Instance Methods Abstract Methods
`OXQAnnotation[]` `getAnnotations()` The XQuery annotations of the XQuery function declaration.
`javax.xml.namespace.QName` `getName()` Gets the function name.
`OXQOptions` `getOptions()` The XQuery option declarations preceding the XQuery function declaration.
`XQSequenceType[]` `getParameterTypes()` Gets the types of the function parameters.
`XQSequenceType` `getReturnType()` Gets the return type of the function.

### Method Detail

#### getName

    javax.xml.namespace.QName getName()

Gets the function name.

Returns:
  the name of the function

#### getParameterTypes

    XQSequenceType[] getParameterTypes()

Gets the types of the function parameters.

Returns:
  the parameter types

#### getReturnType

    XQSequenceType getReturnType()

Gets the return type of the function.

Returns:
  the function return type

#### getOptions

    OXQOptions getOptions()

The XQuery option declarations preceding the XQuery function declaration. This includes any user-defined option declarations.

Returns:
  the option declarations

#### getAnnotations

    OXQAnnotation[] getAnnotations()

The XQuery annotations of the XQuery function declaration. This includes any user-defined annotations.

Returns:
  the annotations

Copyright © 2003, 2020, Oracle and/or its affiliates.